Bug 1536711 - Inconsistent units for disk size for Azure instances
Summary: Inconsistent units for disk size for Azure instances
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Harpreet Kataria
QA Contact: Ievgen Zapolskyi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-20 02:05 UTC by Nandini Chandra
Modified: 2019-02-07 23:01 UTC (History)
11 users (show)

Fixed In Version: 5.10.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:05 UTC
Category: ---
Cloudforms Team: Azure
Target Upstream Version:


Attachments (Terms of Use)
screen shot of Azure instance disk info from 59 (32.09 KB, image/png)
2018-01-20 02:06 UTC, Nandini Chandra
no flags Details
screen shot of Azure instance disk info from 58 (30.68 KB, image/png)
2018-01-20 02:07 UTC, Nandini Chandra
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:11 UTC

Description Nandini Chandra 2018-01-20 02:05:24 UTC
Description of problem:
-----------------------
The disk size for Azure instances is displayed in GB in 58 and in bytes in 59.
For the sake of consistency, the disk size should be displayed in the same unit, GB in both 58 and 59.

See attached screen shots from 58 and 59. 


Version-Release number of selected component (if applicable):
-----------------------
5.9.0.17
5.8.3.1


How reproducible:
-----------------
Always


Steps to Reproduce:
-------------------
1.
2.
3.


Actual results:
---------------


Expected results:
-----------------


Additional info:
----------------

Comment 2 Nandini Chandra 2018-01-20 02:06:29 UTC
Created attachment 1383644 [details]
screen shot of Azure instance disk info from 59

Comment 3 Nandini Chandra 2018-01-20 02:07:23 UTC
Created attachment 1383645 [details]
screen shot of Azure instance disk info from 58

Comment 4 Nandini Chandra 2018-01-20 02:09:02 UTC
The screen shot from 58 shows that the disk size is 29.3 GB and the screen shot from 59 shows that the disk size is 31457280512 bytes.

Comment 6 Bronagh Sorota 2018-01-26 21:57:58 UTC
Hi Dan,
Looks like it's just a matter of converting the unmanaged data disk capacity from bytes to GB.

Thanks
Bronagh

Comment 13 CFME Bot 2018-08-07 23:22:12 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/6e59632e048520826e46f9f1fa622645d8ff6374
commit 6e59632e048520826e46f9f1fa622645d8ff6374
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Aug  7 16:57:03 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Aug  7 16:57:03 2018 -0400

    Fixed format of Disk size for a VM

    Disk size formatting was lost in https://github.com/ManageIQ/manageiq-ui-classic/pull/752. Code was changed from
    https://github.com/ManageIQ/manageiq-ui-classic/pull/752/files#diff-55c5b7aecfb519d0e4880eaf2788eb6eL1243
    to https://github.com/ManageIQ/manageiq-ui-classic/pull/752/files#diff-0477435a7227f32a30f48f81a7b52afcR43

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1536711

 app/helpers/textual_mixins/textual_devices.rb | 2 +-
 spec/helpers/textual_mixins/textual_devices_spec.rb | 4 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

Comment 14 Ievgen Zapolskyi 2018-10-10 15:20:57 UTC
Verified in 5.10.0.18

Comment 15 errata-xmlrpc 2019-02-07 23:01:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.